ranges-operations.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.

## Enumerations

enum | Gecode::Iter::Ranges::CompareStatus { Gecode::Iter::Ranges::CS_SUBSET , Gecode::Iter::Ranges::CS_DISJOINT , Gecode::Iter::Ranges::CS_NONE }
| Comapre two iterators with each other. More...

## Functions

template<class I>
unsigned int | Gecode::Iter::Ranges::size (I &i)
| Size of all ranges of range iterator i.
template<class I, class J>
bool | Gecode::Iter::Ranges::equal (I &i, J &j)
| Check whether range iterators i and j are equal.
template<class I, class J>
bool | Gecode::Iter::Ranges::subset (I &i, J &j)
| Check whether range iterator i is subset of range iterator j.
template<class I, class J>
bool | Gecode::Iter::Ranges::disjoint (I &i, J &j)
| Check whether range iterators i and j are disjoint.
template<class I, class J>
CompareStatus | Gecode::Iter::Ranges::compare (I &i, J &j)
| Check whether range iterator i is a subset of j, or whether they are disjoint.